#
# Check for bad permissions on a web server
#

if(description)
{
 script_id(10498);
 
 name["english"] = "Test HTTP dangerous methods";
 name["francais"] = "Teste les mthodes HTTP dangereuses";
 script_name(english:name["english"], francais:name["francais"]);
 
 desc["english"] = "
Misconfigured web servers allows remote clients to perform
dangerous HTTP methods such as PUT and DELETE. This script
checks if they are enabled and can be run";


 desc["francais"] = "
Certains serveurs web mal configurs permettent aux clients
d'effectuer les mthodes DELETE et PUT. Ce script vrifie
si elles sont actives et si elles peuvent tre lances";


 script_description(english:desc["english"], francais:desc["francais"]);
 
 summary["english"] = "Verifies the access rights to the web server (PUT, DELETE)";
 summary["francais"] = "Vrifie les droits d'accs au serveur web (PUT, DELETE)";
 
 script_summary(english:summary["english"], francais:summary["francais"]);
 
 script_category(ACT_GATHER_INFO);
 
 
 script_copyright(english:"This script is Copyright (C) 2000 Michel Arboi",
		francais:"Ce script est Copyright (C) 2000 Michel Arboi");
 family["english"] = "Remote file access";
 family["francais"] = "Accs aux fichiers distants";
 script_family(english:family["english"], francais:family["francais"]);
 script_dependencie("find_service.nes", "no404.nasl");
 script_require_ports("Services/www", 80);
 exit(0);
}

#
# The script code starts here
#

port = get_kb_item("Services/www");
if (!port) port = 80;

# Is this necessary?
if (!get_port_state(port)) exit(0);

soc = open_sock_tcp(port);

if (soc) {
 for (i=1; is_cgi_installed(string("/puttest",i,".html")); i = i+1) ;
 name=string("/puttest",i,".html");
 #display(name, " is not installed\n");
  
 content = string("PUT ", name, " HTTP/1.0\r\nContent-Length: 77\r\n\r\n");
 content = content + crap(length:77,
			  data:"A quick brown fox jumps over the lazy dog");
 content = content + string("\r\n\r\n");			  
 send(	socket:soc,
	data:content);
	
 l = recv_line(socket:soc,length:1024);
 close(soc);
 #display(l);
 upload=0;
 if (is_cgi_installed(name)) {
  upload=1;
  security_hole(port:port, protocol:"tcp",
data: string("We could upload the file '",name, "' onto your web server\nThis allows an attacker to run arbitrary code on your server, or set a trojan horse\nSolution : disable this method\nRisk factor : High") );
 } else {
  if (" 403 " >< l) {
   #display("answer = ", l, "\n");
   security_warning(port:port, protocol:"tcp",
data:string("It seems that the PUT method is enabled on your web server\nAlthough we could not exploit this, you'd better disable it\nSolution : disable this method\nRisk factor : Serious"));
  }
 }

 
 # Leave file for next test (DELETE). Dirty...

 if (! upload) {
  name="/index.html";
  if (! is_cgi_installed(name)) {
   name="/index.htm";
   if (! is_cgi_installed(name)) {
     name = "/default.asp";
     if(! is_cgi_installed(name))
      {
       name = "/default.htm";
       if(! is_cgi_installed(name))
       {
        name = "/index.php";
	if(! is_cgi_installed(name))
        {
        #display("Cannot find a file to delete\n");
	name = "/";
        }
       }
      }
     }
   }
 }


 
 soc = open_sock_tcp(port);
 send(socket:soc, data: string("DELETE ",name," HTTP/1.0\r\n\r\n"));
 l = recv_line(socket:soc, length:1024);
 
 if (" 200 " >< l) {
  security_hole(port:port, protocol:"tcp",
data: string("We could DELETE the file '", name, "'on your web server\nThis allows an attacker to destroy some of your pages\nSolution : disable this method\nRisk factor : Serious") ) ;
 } else {
  if (" 403 " >< l) {
   security_warning(port:port, protocol:"tcp",
data:string("It seems that the DELETE method is enabled on your web server\nAlthough we could not exploit this, you'd better disable it\nSolution : disable this method\nRisk factor : Medium"));
  }
 }

 
 close(soc);
}

